<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;

class SiteVersion extends Model
{
	const UPDATED_AT = NULL;

	/* RELATIONS */

	public function sites()
	{
		return $this->belongsTo(Site::class);
	}

	public function versions()
	{
		return $this->belongsTo(Version::class);
	}

	/* ATTRIBUTES */
	public function getDateAttribute(): int
	{
		return Carbon::parse($this->attributes['created_at'])->timestamp*1000;
	}
}
